﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraGrid1.DataSource = GetTable();
        }

                private static DataTable GetTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Col 1", typeof(string));
            dt.Columns.Add("Col 2", typeof(int));
            dt.Columns.Add("Col 3", typeof(decimal));
            dt.Columns.Add("Col 4", typeof(bool));
            dt.Columns.Add("Col 5", typeof(DateTime));

            for (int i = 0; i < 30; i++)
            {
                dt.Rows.Add(new object[] { "Row " + i.ToString(), i, i * 1.234m, i % 2 == 0, DateTime.Now.AddYears(i) });
            }

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].RowEditTemplate = this.ultraGridRowEditTemplate1;
            e.Layout.Override.AllowDelete = Infragistics.Win.DefaultableBoolean.True;
            e.Layout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.True;
            this.ultraGrid1.ExitEditModeOnLeave = true;
            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            this.ultraGrid1.UpdateMode = Infragistics.Win.UltraWinGrid.UpdateMode.OnRowChangeOrLostFocus;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGridRowEditTemplate1.Close(true);
        }
    }
}
